org.icefaces.ace.component.tabset

## Enum TabPaneCache

- java.lang.Object
- - java.lang.Enum<TabPaneCache>
  - - org.icefaces.ace.component.tabset.TabPaneCache

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TabPaneCache>

      public enum TabPaneCache
      extends java.lang.Enum<TabPaneCache>

  Server side TabPane content is either not cached, or it is dynamically cached, or statically cached. If it is dynamically cached, then once the content has bee sent to the browser, it will continue to be rendered each lifecycle, and the rendered output will be dom differenced, and only updated as necessary. If it is statically cached, then it is not rendered, and will not be updated. The special mode static auto means that it's usually static, but under certain circumstances it will automatically turn dynamic for that lifecycle and then return to being static on subsequent lifecycles. The special mode dynamic revert static auto is when the static auto mode can't detect the need for the temporary switch, and it needs to be done manually for the lifecycle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DYNAMIC`
    `DYNAMIC_REVERT_STATIC_AUTO`
    `NONE`
    `STATIC`
    `STATIC_AUTO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TabPaneCache` | `get(java.lang.String find)`
    `java.lang.String` | `getNamed()`
    `TabPaneCache` | `getRevertTo()`
    `boolean` | `isCached()`
    `boolean` | `isCachedStatically()`
    `TabPaneCache` | `resolve(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent tab)`
    `static TabPaneCache` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TabPaneCache[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TabPaneCache NONE

    - #### DYNAMIC

          public static final TabPaneCache DYNAMIC

    - #### STATIC

          public static final TabPaneCache STATIC

    - #### STATIC_AUTO

          public static final TabPaneCache STATIC_AUTO

    - #### DYNAMIC_REVERT_STATIC_AUTO

          public static final TabPaneCache DYNAMIC_REVERT_STATIC_AUTO

  - ### Field Detail

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static TabPaneCache[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabPaneCache c : TabPaneCache.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabPaneCache valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static TabPaneCache get(java.lang.String find)

    - #### resolve

          public TabPaneCache resolve(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent tab)

    - #### getNamed

          public java.lang.String getNamed()

    - #### isCached

          public boolean isCached()

    - #### isCachedStatically

          public boolean isCachedStatically()

    - #### getRevertTo

          public TabPaneCache getRevertTo()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.